import { ElementRef, Renderer2, InputSignal } from "@angular/core";
import type { SectionProps } from "./section.types";
import * as i0 from "@angular/core";
export default class SectionComponent {
    private renderer;
    attributes: InputSignal<SectionProps["attributes"]>;
    maxWidth: InputSignal<SectionProps["maxWidth"]>;
    elRef0: import("@angular/core").Signal<ElementRef<any>>;
    _listenerFns: Map<any, any>;
    setAttributes(el: HTMLElement, value: any, changes?: any): void;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SectionComponent, "section-component", never, { "attributes": { "alias": "attributes"; "required": false; "isSignal": true; }; "maxWidth": { "alias": "maxWidth"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
